using Demo.Domain.Models;

namespace Demo.Data.Repository
{
    public interface IPresenceRepository
    {
        List<PresenceLocalEntity> GetAllPresences();
        void IsAttedance(int firstLesson, int lastLesson, DateOnly date, Guid UserGuid);
        List<PresenceLocalEntity> GeneratePresence(List<PresenceLocalEntity> presenceLocalEntities);
        bool DeletePresence();
        bool DeletePresenceByUserGuid(Guid UserGuid);
        bool DeletePresenceByGroup(int groupID);
        bool DeletePresenceByDateRange(DateOnly startDate, DateOnly endDate);
    }
}